package controller

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"gitlab.com/hashrs/randomservice/common"
	"gitlab.com/hashrs/randomservice/config"
	"gitlab.com/hashrs/randomservice/model"
	"gitlab.com/hashrs/randomservice/service"
	"net/http"
)

func HandleRandom(c *gin.Context) {
	var param model.RandomParam
	err := c.BindJSON(&param)
	if err != nil {
		ResponseError(c, http.StatusBadRequest, fmt.Sprintf("invalid param"))
		return
	}
	res, err := service.RandomService(common.Hex2Addr(param.Account), config.GetConfig().PrivateKey())
	if err != nil {
		ResponseError(c, http.StatusInternalServerError, err.Error())
		return
	}

	ResponseSuccess(c, res)
}

